Botan 1.10.17

Classes | Namespaces | Functions
srp6.h File Reference
`#include <botan/bigint.h>`
`#include <botan/hash.h>`
`#include <botan/rng.h>`
`#include <botan/symkey.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::SRP6_Server_Session

## Namespaces
| Botan

## Functions
BigInt | Botan::generate_srp6_verifier (const std::string &identifier, const std::string &password, const MemoryRegion< byte > &salt, const std::string &group_id, const std::string &hash_id)
std::pair< BigInt, SymmetricKey > | Botan::srp6_client_agree (const std::string &identifier, const std::string &password, const std::string &group_id, const std::string &hash_id, const MemoryRegion< byte > &salt, const BigInt &B, RandomNumberGenerator &rng)
std::string | Botan::srp6_group_identifier (const BigInt &N, const BigInt &g)